PUT Api/DamagePhoto/{id}/Upload
URI Example
PUT Api/DamagePhoto/{id}/Upload
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
Required |
Body Parameters
None.
Resource Description
DamagePhotoResource
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| DamageId | integer |
None. |
|
| FileName | string |
None. |
|
| Size | integer |
None. |
|
| Height | integer |
None. |
|
| Width | integer |
None. |
|
| Url | string |
None. |
|
| UpdateDate | date |
None. |
|
| Description | Object |
None. |
|
| Inactive | boolean |
None. |
|
| _links | Dictionary of string [key] and Link [value] |
None. |
|
| _embedded | Dictionary of string [key] and Object [value] |
None. |
Response Formats
application/json, text/json, application/hal+json
-
{ "_links": { "sample string 1": { "href": "sample string 1", "method": "sample string 2", "rel": [ "sample string 1", "sample string 2" ] }, "sample string 2": { "href": "sample string 1", "method": "sample string 2", "rel": [ "sample string 1", "sample string 2" ] } }, "id": 1, "damageId": 2, "fileName": "sample string 3", "size": 4, "height": 5, "width": 6, "url": "sample string 7", "updateDate": "2026-10-29T13:07:01.5470768+01:00", "description": {}, "inactive": true, "_embedded": { "sample string 1": {}, "sample string 3": {} } }